Package com.collibra.catalog.api.component.classification.dto

# Class AddClassificationMatchRequest

Object
AddClassificationMatchRequest

All Implemented Interfaces:
  `Serializable`

public class AddClassificationMatchRequest extends Object implements Serializable
Criteria for adding classification match.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AddClassificationMatchRequest.AddClassificationMatchRequestBuilder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddClassificationMatchRequest()`
  `AddClassificationMatchRequest(UUID assetId, UUID classificationId)`
  Creates a new `AddClassificationMatchRequest` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddClassificationMatchRequest.AddClassificationMatchRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetId()`
  The `id` of an asset for which classification matches will be added.
  `UUID`
  `getClassificationId()`
  The `id` of classification to be used in created classification match.
  `int`
  `hashCode()`
  `void`
  `setAssetId(UUID assetId)`
  The `id` of an asset for which classification matches will be added.
  `void`
  `setClassificationId(UUID classificationId)`
  The `id` of classification to be used in created classification match.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddClassificationMatchRequest

    public AddClassificationMatchRequest(UUID assetId, UUID classificationId)
    Creates a new `AddClassificationMatchRequest` instance.
    Parameters:
      `assetId` - The `id` of an asset for which classification matches will be added.
      `classificationId` - The `id` of classification to be used in created classification match.

  - ### AddClassificationMatchRequest

    public AddClassificationMatchRequest()

- ## Method Details

  - ### builder

    public static AddClassificationMatchRequest.AddClassificationMatchRequestBuilder builder()

  - ### getAssetId

    public UUID getAssetId()
    The `id` of an asset for which classification matches will be added.

  - ### getClassificationId

    public UUID getClassificationId()
    The `id` of classification to be used in created classification match.

  - ### setAssetId

    public void setAssetId(UUID assetId)
    The `id` of an asset for which classification matches will be added.

  - ### setClassificationId

    public void setClassificationId(UUID classificationId)
    The `id` of classification to be used in created classification match.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`